Public Member Functions | Public Attributes | List of all members
libebook::PMLHeader Struct Reference

## Public Member Functions
| PMLHeader ()

## Public Attributes
unsigned | nonTextRecordStart
unsigned | imageCount
unsigned | footnoteCount
unsigned | sidebarCount
unsigned | imageDataRecordStart
unsigned | metadataRecordStart
unsigned | footnoteRecordStart
unsigned | sidebarRecordStart
unsigned | lastDataRecord
Compression | compression
bool | hasMetadata
bool | is202Header

## Constructor & Destructor Documentation

## § PMLHeader()

libebook::PMLHeader::PMLHeader | ( |  | ) |

## Member Data Documentation

## § compression

Compression libebook::PMLHeader::compression

## § footnoteCount

unsigned libebook::PMLHeader::footnoteCount

## § footnoteRecordStart

unsigned libebook::PMLHeader::footnoteRecordStart

## § hasMetadata

bool libebook::PMLHeader::hasMetadata

## § imageCount

unsigned libebook::PMLHeader::imageCount

## § imageDataRecordStart

unsigned libebook::PMLHeader::imageDataRecordStart

## § is202Header

bool libebook::PMLHeader::is202Header

## § lastDataRecord

unsigned libebook::PMLHeader::lastDataRecord

## § metadataRecordStart

unsigned libebook::PMLHeader::metadataRecordStart

## § nonTextRecordStart

unsigned libebook::PMLHeader::nonTextRecordStart

## § sidebarCount

unsigned libebook::PMLHeader::sidebarCount

## § sidebarRecordStart

unsigned libebook::PMLHeader::sidebarRecordStart

The documentation for this struct was generated from the following file:

- PMLParser.cpp